clear
set mem 100m

/********************************************************
 A couple of numbers here:
 The total number of bytes of this file is 340120.
 3520 is the number of bytes of the header.
 The number of bytes for the scientific records
 are then 340120 - 3520 = 336600 for this file.
 There are total of 765 records from header information: 
 Pass_Data_Count = 765 leading to 440 bytes per record. 
********************************************************/
set obs 765

gen day =.
gen long time_sec = .
gen long time_ms = .
gen long latitude = .
gen long longitude = .
gen byte surface_type = .
gen byte alt_echo_type = .
gen byte rad_surf_type = .

file open t using test1.dat, read binary
file set  t byteorder hilo
file seek  t 3520

foreach i of numlist 1/765 {
  tempname word1
  file read t %4bu `word1'
  replace day = `word1' in `i'

  file read t %4bu `word1'
  replace time_sec = `word1' in `i'

  file read t %4bu `word1'
  replace time_ms = `word1' in `i'

  file read t %4b `word1'
  replace latitude = `word1' in `i'

  file read t %4bu `word1'
  replace longitude = `word1' in `i'

  file read t %1bu `word1'
  replace surface_type = `word1' in `i'

  file read t %1bu `word1'
  replace alt_echo_type = `word1' in `i'

  file read t %1bu `word1'
  replace rad_surf_type = `word1' in `i'

  local a = 440*`i' + 3520
  file seek t `a'
}

file close t
